:root {
  --background: #000000;
  --foreground: #ffffff;

  --background-light: #ffffff;
  --foreground-light: #000000;
}

body {
  background-color: var(--background);
  color: var(--foreground);

  padding: 50px;
  font: 14px "Lucida Grande", Helvetica, Arial, sans-serif;
  accent-color: #5f5f5f;
}

a {
  color: #00B7FF;
}

#menuButton {
  position: absolute;
  background-color: #000000aa;
  color: var(--foreground);
  border-style: none;
  padding: 0.75em 0.75em 0.75em 0.75em;
  opacity: 15%;
  transition: opacity 0.3s;
  z-index: 100;
}

#menuButton:hover {
  opacity: 100%;
  cursor: pointer;
}

#menu {
  font-family: 'DotGothic16', monospace !important;
  position: absolute;
  width: 25em;
  color: var(--foreground);
  background-color: #000000aa;
  border-style: solid;
  margin-top: 2.75em;
  padding: 0px 20px 20px 20px;
  border-width: 0.1em;
  border-color: #2f2f2f;
  border-radius: 5px;
  z-index: 95;
  overflow: auto;
}

#loadtext {
  width: 80%;
  font-family: 'DotGothic16', monospace !important;
  background-color: #000000;
  border-color: #2f2f2f;
  border-style: solid;
  border-radius: 5px;
  color: var(--foreground);
}

#loadbutton {
  font-family: 'DotGothic16', monospace !important;
  background-color: #00000000;
  border-style: none;
  border-radius: 5px;
  color: var(--foreground);
  padding-left: 1.5em;
}

#loadbutton:hover {
  cursor: pointer;
}

#volume, #speed {
  width: 100%;
  height: 15px;
  border-radius: 5px;  
  background: #2f2f2f;
  outline: none;
  opacity: 0.7;
}

#volume::-webkit-slider-thumb, #speed::-webkit-slider-thumb {
  appearance: none;
  background: #5f5f5f;
  cursor: pointer;
  border-radius: 0px;
  border-color: #00000000;
}

#volume::-moz-range-thumb, #speed::-moz-range-thumb {
  background: #5f5f5f;
  cursor: pointer;
  border-radius: 0px;
  border-color: #00000000;
}

#debugbuttons {
  display: flex;
  justify-content: space-between;
}

.debugbutton {
  font-family: 'DotGothic16', monospace !important;
  font-size: 1.5em;
  background-color: #00000000;
  border-style: none;
  border-radius: 5px;
  color: var(--foreground);
}

.debugbutton:hover {
  cursor: pointer;
}

#pitches {
  display: flex;
  justify-content: space-between;
}

.pitchbutton {
  font-family: 'DotGothic16', monospace !important;
  font-size: 1em;
  background-color: #00000000;
  border-style: none;
  border-radius: 5px;
  color: #5f5f5f;
  padding-right: 1em;
  transition: color 0.3s;
}

.pitchbutton:hover {
  color: #ffffff;
  cursor: pointer;
}

.pitchbuttonselected {
  color: var(--foreground) !important;
}

#logo {
  text-align: center;
}

#main {
  /*todo: maybe fix centering, for some reason its literally off by like 10 pixels idk why*/
  position: absolute;
  top: 50%;
  left: 51%;
  margin-right: -20%;
  transform: translate(-50%, -50%);
}

.gridstyle {
  align-items: center;
  display: grid;
  justify-content: center;
  align-content: center;
  grid-template-columns: repeat(16, 1em);
  gap: 1em;
  grid-auto-rows: minmax(1em, 1em);
  max-width: 25em;
}

.gridstylehidden {
  display: none;
}

.gridstyle button {
  font-family: 'DotGothic16', monospace !important;
  text-align: right;
  height: 2em;
  width: 2em;
  color:black;
  background-color: var(--background);
  border-color: #2f2f2f;
  border-style: solid;
  /* this adds a bit of cpu time idk if its worth it but it makes it feel slightly nicer */
  transition: all 0.2s;
}

.gridstyle button:hover {
  background-color: #2f2f2f;
}

.live {
  background-color: var(--foreground) !important;
  background-repeat: no-repeat;
  background-position: center;
  border-color: #ffffff !important;
}

.live:hover {
  background-color: #dfdfdf !important;
}

.squareTile {
  background-image: url('../img/icons/black/square.png');
}
.sineTile {
  background-image: url('../img/icons/black/sine.png');
}
.triangleTile {
  background-image: url('../img/icons/black/triangle.png');
}
.sawtoothTile {
  background-image: url('../img/icons/black/sawtooth.png');
}

.playing {
  border-color: #4f4f4f !important;
  background-size: 1em !important;
}

.live.playing {
  border-color: #2f2f2f !important;
  border-width: 2px;
}

#controls {
  margin-top: 1.5em;
  text-align: center;
  margin-left: -1.0em;
}

#controls button {
  background-color: var(--background);
  color: var(--foreground);
  border-style: none;
  padding: 0.75em 2.75em 0.75em 2.75em;
  opacity: 15%;
  transition: opacity 0.3s;
}

#controls ion-icon {
  font-size: 1.5em;
  -webkit-text-stroke: 0.5px white;
}

#controls #waveforms {
  font-family: 'DotGothic16', monospace !important;
  background-image: url('../img/icons/white/square.png');
  background-repeat: no-repeat;
  background-position: center;
  color: #ffffff00;
  text-align: right;

}

#controls button:hover {
  opacity: 100%;
  cursor: pointer;
}

#tabs {
  padding: 2em;
  text-align: center;
  margin-left: -1.450em; /* cool hardcoded manual centering (tm) */
}

.tabbutton {
  font-family: 'DotGothic16', monospace !important;
  text-align: center;
  background-color: #0f0f0f;
  color: var(--foreground);
  border-color: #1f1f1f00;
  height: 2em;
  width: 3em;
  opacity: 50%;
  transition: opacity 0.3s;
}

.tabbutton:hover {
  opacity: 100%;
  cursor: pointer;
}

/* sorry */
.activetab {
  background-color: #1f1f1f !important;
}

.emptytab {
  background-color: #000000;
}

.activelayer {
  background-color: #1f1f1f !important;
}

.emptylayer {
  background-color: #000000 !important;
}

#layers {
  top: 50%;
  left: -20%;
  /*margin-right: -20%;*/
  transform: translate(-50%, -50%);
  align-items: center;
  display: grid;
  position: absolute;
  justify-content: left;
  align-content: center;
  gap: 0em;

}

.layerbutton {
  font-family: 'DotGothic16', monospace !important;
  text-align: center;
  color: var(--foreground);
  border-color: #1f1f1f00;
  height: 5em;
  opacity: 50%;
  transition: all 0.3s;
  background-color: #0f0f0f;
}

.layerbutton:hover {
  opacity: 100%;
  cursor: pointer;
}

.layerlit {
  background-color: var(--foreground) !important;
  color: var(--background);
}

.notification {
  font-family: 'DotGothic16', monospace !important;
  font-size: 1em;
  position: absolute;
  right: 0;
  border-radius: 5px;
  background-color: rgba(139, 0, 0, 0.473);
  color: var(--foreground);
  margin-right: 3.5em;
  padding: 0.5em 1.75em 0.5em 1.75em;
  transition: background-color 0.3s;
  z-index: 100;
}

.notification:hover {
  background-color: rgba(139, 0, 0, 1);
  cursor: pointer;
}

.tooltip {
  position: relative;
  display: inline-block;
}

.tooltip .tooltiptext {
  visibility: hidden;
  opacity: 0;
  width: 130px;
  background-color: white;
  color: black;
  text-align: center;
  border-radius: 10px;
  padding: 5px 0;
  top: 125%;
  left: 50%;
  margin-left: -65px;
  transition: all 0.3s;
  position: absolute;
  z-index: 100;
}

.tooltiptext {
  font-family: 'DotGothic16', monospace !important;
}

.tooltip:hover .tooltiptext {
  transition-delay: 1s;
  visibility: visible;
  opacity: 1;
}

.help {
  font-family: 'DotGothic16', monospace !important;
  z-index: 50;
}

/* styles for different help text */
#tabhelp {
  display: none;
  position: absolute;
  top: -1.5%;
  left: 46%;
  transform: translate(-50%, -50%);
}

#layerhelp {
  display: none;
  position: absolute;
  top: 46.1235%;
  left: -47.75%;
  transform: rotate(-90deg);
}

#menuhelp {
  /* display: none; */
  position: absolute;
  padding-left: 4em;
  transform: translateY(-0.5em);

  /* opacity: 15%;
  transition: opacity 0.3s; */
}

/* #menuhelp:hover {
  opacity: 100%;
} */

#gridhelp {
  display: none;
  position: absolute;
  top: 50%;
  left: 119.23847625%;
  transform: translate(-50%, -50%);
}

#about {
  text-align: center;
  font-size: small;
  opacity: 15%;
  transition: opacity 0.3s;
}

#about:hover {
  opacity: 100%;
}

#visualizer {
  /* width: 31em; */
  position: absolute;
  top: 51.625%;
  left: 44.55%;
  /* margin-right: -20%; */
  transform: translate(-50%, -50%);
  z-index: -1;
  opacity: 50%
}